com.corticon.rulesemf.canonicalvocabularymodel.util

## Class CanonicalvocabularymodelSwitch

- java.lang.Object
- - com.corticon.rulesemf.canonicalvocabularymodel.util.CanonicalvocabularymodelSwitch

-     public class CanonicalvocabularymodelSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `CanonicalvocabularymodelPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static CanonicalvocabularymodelPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanonicalvocabularymodelSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseAsset(Asset object)` Returns the result of interpreting the object as an instance of 'Asset'
    `java.lang.Object` | `caseAssociationEndExtension(AssociationEndExtension object)` Returns the result of interpreting the object as an instance of 'Association End Extension'
    `java.lang.Object` | `caseAttributeExtension(AttributeExtension object)` Returns the result of interpreting the object as an instance of 'Attribute Extension'
    `java.lang.Object` | `caseCustomDataType(CustomDataType object)` Returns the result of interpreting the object as an instance of 'Custom Data Type'
    `java.lang.Object` | `caseDatabaseAccess(DatabaseAccess object)` Returns the result of interpreting the object as an instance of 'Database Access'
    `java.lang.Object` | `caseDatabaseLookupProperties(DatabaseLookupProperties object)` Returns the result of interpreting the object as an instance of 'Database Lookup Properties'
    `java.lang.Object` | `caseDatabaseProperty(DatabaseProperty object)` Returns the result of interpreting the object as an instance of 'Database Property'
    `java.lang.Object` | `caseDataTypeMapping(DataTypeMapping object)` Returns the result of interpreting the object as an instance of 'Data Type Mapping'
    `java.lang.Object` | `caseDomainExtension(DomainExtension object)` Returns the result of interpreting the object as an instance of 'Domain Extension'
    `java.lang.Object` | `caseEntityExtension(EntityExtension object)` Returns the result of interpreting the object as an instance of 'Entity Extension'
    `java.lang.Object` | `caseEntityMapping(EntityMapping object)` Returns the result of interpreting the object as an instance of 'Entity Mapping'
    `java.lang.Object` | `caseEnumerationElement(EnumerationElement object)` Returns the result of interpreting the object as an instance of 'Enumeration Element'
    `java.lang.Object` | `caseExtendedPersistentAttributes(ExtendedPersistentAttributes object)` Returns the result of interpreting the object as an instance of 'Extended Persistent Attributes'
    `java.lang.Object` | `caseNamedExtension(NamedExtension object)` Returns the result of interpreting the object as an instance of 'Named Extension'
    `java.lang.Object` | `caseRootExtension(RootExtension object)` Returns the result of interpreting the object as an instance of 'Root Extension'
    `java.lang.Object` | `caseValidatableObject(ValidatableObject object)` Returns the result of interpreting the object as an instance of 'Validatable Object'
    `java.lang.Object` | `caseVocabularyBoolean(VocabularyBoolean object)` Returns the result of interpreting the object as an instance of 'Vocabulary Boolean'
    `java.lang.Object` | `caseVocabularyDataType(VocabularyDataType object)` Returns the result of interpreting the object as an instance of 'Vocabulary Data Type'
    `java.lang.Object` | `caseVocabularyExpression(VocabularyExpression object)` Returns the result of interpreting the object as an instance of 'Vocabulary Expression'
    `java.lang.Object` | `caseVocabularyProperty(VocabularyProperty object)` Returns the result of interpreting the object as an instance of 'Vocabulary Property'
    `java.lang.Object` | `caseVocabularyString(VocabularyString object)` Returns the result of interpreting the object as an instance of 'Vocabulary String'
    `java.lang.Object` | `caseVocabularyValueSet(VocabularyValueSet object)` Returns the result of interpreting the object as an instance of 'Vocabulary Value Set'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static CanonicalvocabularymodelPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### CanonicalvocabularymodelSwitch

          public CanonicalvocabularymodelSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseAssociationEndExtension

          public java.lang.Object caseAssociationEndExtension(AssociationEndExtension object)

      Returns the result of interpreting the object as an instance of 'Association End Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Association End Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAttributeExtension

          public java.lang.Object caseAttributeExtension(AttributeExtension object)

      Returns the result of interpreting the object as an instance of 'Attribute Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Attribute Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEntityExtension

          public java.lang.Object caseEntityExtension(EntityExtension object)

      Returns the result of interpreting the object as an instance of 'Entity Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Entity Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRootExtension

          public java.lang.Object caseRootExtension(RootExtension object)

      Returns the result of interpreting the object as an instance of 'Root Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Root Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyProperty

          public java.lang.Object caseVocabularyProperty(VocabularyProperty object)

      Returns the result of interpreting the object as an instance of 'Vocabulary Property'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyString

          public java.lang.Object caseVocabularyString(VocabularyString object)

      Returns the result of interpreting the object as an instance of 'Vocabulary String'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary String'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyBoolean

          public java.lang.Object caseVocabularyBoolean(VocabularyBoolean object)

      Returns the result of interpreting the object as an instance of 'Vocabulary Boolean'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary Boolean'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyValueSet

          public java.lang.Object caseVocabularyValueSet(VocabularyValueSet object)

      Returns the result of interpreting the object as an instance of 'Vocabulary Value Set'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary Value Set'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDomainExtension

          public java.lang.Object caseDomainExtension(DomainExtension object)

      Returns the result of interpreting the object as an instance of 'Domain Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Domain Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDatabaseAccess

          public java.lang.Object caseDatabaseAccess(DatabaseAccess object)

      Returns the result of interpreting the object as an instance of 'Database Access'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Database Access'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDatabaseProperty

          public java.lang.Object caseDatabaseProperty(DatabaseProperty object)

      Returns the result of interpreting the object as an instance of 'Database Property'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Database Property'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCustomDataType

          public java.lang.Object caseCustomDataType(CustomDataType object)

      Returns the result of interpreting the object as an instance of 'Custom Data Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Custom Data Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNamedExtension

          public java.lang.Object caseNamedExtension(NamedExtension object)

      Returns the result of interpreting the object as an instance of 'Named Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Named Extension'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyExpression

          public java.lang.Object caseVocabularyExpression(VocabularyExpression object)

      Returns the result of interpreting the object as an instance of 'Vocabulary Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDatabaseLookupProperties

          public java.lang.Object caseDatabaseLookupProperties(DatabaseLookupProperties object)

      Returns the result of interpreting the object as an instance of 'Database Lookup Properties'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Database Lookup Properties'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEnumerationElement

          public java.lang.Object caseEnumerationElement(EnumerationElement object)

      Returns the result of interpreting the object as an instance of 'Enumeration Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Enumeration Element'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExtendedPersistentAttributes

          public java.lang.Object caseExtendedPersistentAttributes(ExtendedPersistentAttributes object)

      Returns the result of interpreting the object as an instance of 'Extended Persistent Attributes'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Extended Persistent Attributes'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEntityMapping

          public java.lang.Object caseEntityMapping(EntityMapping object)

      Returns the result of interpreting the object as an instance of 'Entity Mapping'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Entity Mapping'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDataTypeMapping

          public java.lang.Object caseDataTypeMapping(DataTypeMapping object)

      Returns the result of interpreting the object as an instance of 'Data Type Mapping'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Data Type Mapping'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVocabularyDataType

          public java.lang.Object caseVocabularyDataType(VocabularyDataType object)

      Returns the result of interpreting the object as an instance of 'Vocabulary Data Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Vocabulary Data Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAsset

          public java.lang.Object caseAsset(Asset object)

      Returns the result of interpreting the object as an instance of 'Asset'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Asset'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValidatableObject

          public java.lang.Object caseValidatableObject(ValidatableObject object)

      Returns the result of interpreting the object as an instance of 'Validatable Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validatable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.